﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.InteropServices;

namespace mxwdg_sample
{
    class Program
    {
        [DllImport("mxwdg.dll")]
        static extern int mxwdg_open(uint time);

        [DllImport("mxwdg.dll")]
        static extern int mxwdg_refresh(int fd);

        [DllImport("mxwdg.dll")]
        static extern void mxwdg_close(int fd);
     
        static void Main(string[] args)
        {
            int fd;

            /* start watchdog timer with 5000 milliseconds (5 seconds).*/
            fd = mxwdg_open(5);

            System.Console.WriteLine("Enter 'q' to quit the watchdog test..");
            while (true)
            {
                System.Console.WriteLine("Press Enter in 5 seconds..");
                string s = System.Console.ReadLine();
                if (s.StartsWith("q") || s.StartsWith("Q"))
                {
                    break;
                }

                /* refresh watchdog timer*/
                if (mxwdg_refresh(fd) == (-1))
                {
                    System.Console.WriteLine("\nRefresh fail.");
                }
            }

            /* stop watchdog timer*/
            mxwdg_close(fd);

        }
    }
}
